# watina 0.4.0 (2021-01-18)

- This release has been made compatible with `dbplyr` 2.0.0 (on CRAN); the `dbplyr` fork is not needed anymore ([e66e58f](https://github.com/inbo/watina/commit/e66e58f), #74).
  - Follow the installation procedure on the homepage (readme) to upgrade.
  - Lazy results of `get_locs()`, `get_xg3()` and `get_chem()` are not sorted anymore.
  Sorting is done in tibbles only, i.e. if `collect = TRUE`.
  For more information, consult the _Note_ added in the documentation of these functions.
- Fix broken `selectlocs_xg3()` and `selectlocs_chem()` (#73).
- Fix `get_locs()` error when no locations remain after spatial masking ([c96421e](https://github.com/inbo/watina/commit/c96421e)).
- Fix `get_locs()` error when `obswell_aggr = "mean"` (#80).
- Adopt further [`inbodb`](https://inbo.github.io/inbodb) functionality (#75):
  - re-export its `dbDisconnect()`;
  - transfer handling of character encoding to `inbodb`.
- Improve documentation and `pkgdown` website (#76, #77, [3986b4e](https://github.com/inbo/watina/commit/3986b4e)).


# watina 0.3.0 (2020-05-20)

#### New features

- New function `cluster_locs()` to spatially cluster locations (well clusters) (#39)
- More fun with `get_locs()`:
    - optionally allow groundwater piezometers with missing `filterdepth` (argument `filterdepth_na`)
    - optionally replace missing `filterdepth` values in a conservative way, based on `tubelength` (argument `filterdepth_guess`, #44)
    - return eight more observation well attributes beside `filterdepth` (#44)
    - four methods are available to aggregate observation well attributes per location (argument `obswell_aggr`, #44)
    - applying a spatial mask is now a little speedier (#57)
- `as_points()` and `get_locs()` return a warning when duplicated coordinates occur in their local result (#51, thanks @w-jan)
- Package dependency moved from [inborutils](https://inbo.github.io/inborutils) to [inbodb](https://inbo.github.io/inbodb): this is a change within `connect_watina()` which should not affect its behaviour and which reduces overall package dependencies.

Further, a number of smaller fixes and enhancements were made.

# watina 0.2.6 (2020-02-28)

- Redo fix `get_locs()`: calculation of `soilsurf_ost` (#43)

# watina 0.2.5 (2020-02-27)

- Bugfix in `get_locs()`: calculation of `soilsurf_ost` (#42)

# watina 0.2.4 (2020-01-29)

- Bugfix in `convertdf_enc()` (#34)
- Some small documentation improvements

# watina 0.2.3 (2020-01-09)

- Documentation is now generated by the newer `roxygen2` version `7.0.2`, resulting in a better layout of function arguments in the 'usage' section.

# watina 0.2.2 (2019-11-04)

- On Windows, the functions now convert 'weird' characters from the database to proper UTF-8.
- Bugfix (#29) in `get_locs()` regarding the default implementation of the `loc_validity` argument.

# watina 0.2.1 (2019-10-14)

- Fixed bug in some hyperlinks in function documentation, 
affecting the installation process on Windows (warnings were thrown).

# watina 0.2.0 (2019-10-02)

#### New features

- Several functions have been added to query and process chemical data.
- Three vignettes have been added.
- Improved various existing functionalities from version 0.1.0, based on user's feedback.



